summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-04-03 12:22:23 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-04-03 12:22:48 +0200
commit461ea5502f9d20518d38584fd1e9f62dcbc66557 (patch)
treec384ecb3f6b22dca4fc8a9eb90e90de460bedd08 /dev-ml/merlin
parentnet-misc/plowshare: drop old (diff)
downloadgentoo-461ea5502f9d20518d38584fd1e9f62dcbc66557.tar.gz
gentoo-461ea5502f9d20518d38584fd1e9f62dcbc66557.tar.bz2
gentoo-461ea5502f9d20518d38584fd1e9f62dcbc66557.zip
dev-ml/merlin: Initial import
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'dev-ml/merlin')
-rw-r--r--dev-ml/merlin/Manifest1
-rw-r--r--dev-ml/merlin/merlin-2.5.3.ebuild33
-rw-r--r--dev-ml/merlin/metadata.xml8
3 files changed, 42 insertions, 0 deletions
diff --git a/dev-ml/merlin/Manifest b/dev-ml/merlin/Manifest
new file mode 100644
index 00000000000..c943d1c23c3
--- /dev/null
+++ b/dev-ml/merlin/Manifest
@@ -0,0 +1 @@
+DIST merlin-2.5.3.tar.gz 3090459 SHA256 3538a02ad025090240825596fc4e1f86806d3808154d3135b090cc1a1192c2ca SHA512 7399b8afc3cd6c0c26fab44aec80cc7614cbe148bafea3512be9a4165b0ba0c93bc738e2d7e5dcc4b51208c9b9f185cc83e408c484e38b2e72e357cefb9ad5f0 WHIRLPOOL 33f7a83f9bcdcfab4f681dddb6153d0aa7c9177b733e26a24119e50bb3521e310e831bbfbcdde24e27c7cf8a5c778384b6e65e947bee0c0852d1e184e56df9e5
diff --git a/dev-ml/merlin/merlin-2.5.3.ebuild b/dev-ml/merlin/merlin-2.5.3.ebuild
new file mode 100644
index 00000000000..609f9767e4c
--- /dev/null
+++ b/dev-ml/merlin/merlin-2.5.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit findlib vim-plugin
+
+DESCRIPTION="Context sensitive completion for OCaml in Vim and Emacs"
+HOMEPAGE="https://github.com/ocaml/merlin"
+SRC_URI="https://github.com/ocaml/merlin/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+ dev-lang/ocaml:=
+ dev-ml/yojson:=
+"
+RDEPEND="${DEPEND}
+ || ( app-editors/vim[python] app-editors/gvim[python] )"
+
+src_configure() {
+ ./configure \
+ --prefix "${EPREFIX}/usr" \
+ --vimdir "${EPREFIX}//usr/share/vim/vimfiles" \
+ || die
+}
+
+src_install() {
+ default
+}
diff --git a/dev-ml/merlin/metadata.xml b/dev-ml/merlin/metadata.xml
new file mode 100644
index 00000000000..ffac4d7ebc0
--- /dev/null
+++ b/dev-ml/merlin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>